com.hazelcast.client.config

## Class ClientAwsConfig

- java.lang.Object
- - com.hazelcast.config.AwsConfig
  - - com.hazelcast.client.config.ClientAwsConfig

-     public class ClientAwsConfig
      extends AwsConfig

  The AWSConfig contains the configuration for client to connect to nodes in aws environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAwsConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInsideAws()` If client is inside aws, it will use private ip addresses directly, otherwise it will convert private ip addresses to public addresses internally by calling AWS API.
    `ClientAwsConfig` | `setInsideAws(boolean insideAws)` Set to true if client is inside aws environment Default value is false.

    - ### Methods inherited from class com.hazelcast.config.AwsConfig

      `getAccessKey, getConnectionTimeoutSeconds, getHostHeader, getIamRole, getRegion, getSecretKey, getSecurityGroupName, getTagKey, getTagValue, isEnabled, setAccessKey, setConnectionTimeoutSeconds, setEnabled, setHostHeader, setIamRole, setRegion, setSecretKey, setSecurityGroupName, setTagKey, setTagValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAwsConfig

          public ClientAwsConfig()

  - ### Method Detail

    - #### isInsideAws

          public boolean isInsideAws()

      If client is inside aws, it will use private ip addresses directly, otherwise it will convert private ip addresses to public addresses internally by calling AWS API.
      Returns:
        boolean true if client is inside aws environment.

    - #### setInsideAws

          public ClientAwsConfig setInsideAws(boolean insideAws)

      Set to true if client is inside aws environment Default value is false.
      Parameters:
        `insideAws` - isInsideAws

Copyright © 2018. All rights reserved.